libzypp 17.37.10

zypp::syscontent::Reader::Entry Class Reference

Restored ResObject data. More...

`#include <zypp/SysContent.h>`

## Public Member Functions
| Entry ()
const std::string & | kind () const
const std::string & | name () const
const Edition & | edition () const
const Arch & | arch () const
| Entry (const shared_ptr< Impl > &pimpl_r)

## Private Attributes
RW_pointer< Impl > | _pimpl

## Detailed Description

Restored ResObject data.

Definition at line 243 of file SysContent.h.

## Constructor & Destructor Documentation

## ◆ Entry() [1/2]

zypp::syscontent::Reader::Entry::Entry | ( |  | ) |

Definition at line 211 of file SysContent.cc.

## ◆ Entry() [2/2]

zypp::syscontent::Reader::Entry::Entry | ( | const shared_ptr< Impl > & | pimpl_r | ) |

Definition at line 215 of file SysContent.cc.

## Member Function Documentation

## ◆ kind()

const std::string & zypp::syscontent::Reader::Entry::kind | ( |  | ) | const

Definition at line 219 of file SysContent.cc.

## ◆ name()

const std::string & zypp::syscontent::Reader::Entry::name | ( |  | ) | const

Definition at line 222 of file SysContent.cc.

## ◆ edition()

const Edition & zypp::syscontent::Reader::Entry::edition | ( |  | ) | const

Definition at line 225 of file SysContent.cc.

## ◆ arch()

const Arch & zypp::syscontent::Reader::Entry::arch | ( |  | ) | const

Definition at line 228 of file SysContent.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::syscontent::Reader::Entry::_pimpl
| private

Definition at line 255 of file SysContent.h.

The documentation for this class was generated from the following files:

- zypp/SysContent.h
- zypp/SysContent.cc